﻿@model TG.Exam.WebMVC.Models.HomeViewModel

<div class="row">
    <div class="col-md-4">
        <p>Sync</p>
    </div>
    <div class="col-md-4">
        <p>Async</p>
        <button onclick="refresh()">Refresh</button>
    </div>
</div>
<div class="row">
    <div class="col-md-4">
        <table id="table_sync">
            <thead>
            <tr>
                <th>First Name</th>
                <th>Last Name</th>
                <th>Age</th>
                <th>Sync</th>
            </tr>
            </thead>
            <tbody>
            @foreach (var user in Model.Users)
            {
                <tr>
                    <td>@user.FirstName</td>
                    <td>@user.LastName</td>
                    <td>@user.Age</td>
                    <td>Sync</td>
                </tr>
            }
            </tbody>
        </table>
    </div>

    <div class="col-md-4">
        <table id="table_async">
            <thead>
            <tr>
                <th>First Name</th>
                <th>Last Name</th>
                <th>Age</th>
                <th>Sync</th>
            </tr>
            </thead>
        </table>
    </div>
</div>

<script src="@Url.Content("~/Scripts/DataTables/jquery.dataTables.min.js")"></script>
<script type="text/javascript">

    $(document).ready(function() {
        console.log("log");

        // refresh();
    });

    function refresh() {
        $("#table_async").DataTable({
            "searching": false,
            "ordering":  false,
            "ajax": {
                "url": "@Url.Action("Refresh", "Home")",
                "type": "GET",
                "datatype": "json",
                "dataSrc": ""
            },
            "columns": [
                { "data": "FirstName" },
                { "data": "LastName" },
                { "data": "Age" },
                { "data": "Async", "defaultContent": "Async" }
            ]
        });
    }
</script>  